org.apache.poi.poifs.crypt.dsig

## Class SignatureMarshalListener

- java.lang.Object
- - org.apache.poi.poifs.crypt.dsig.SignatureMarshalListener

- All Implemented Interfaces:
    SignatureConfig.SignatureConfigurable, org.w3c.dom.events.EventListener

      public class SignatureMarshalListener
      extends java.lang.Object
      implements org.w3c.dom.events.EventListener, SignatureConfig.SignatureConfigurable

  This listener class is used, to modify the to be digested xml document, e.g. to register id attributes or set prefixes for registered namespaces

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureMarshalListener()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleElement(org.w3c.dom.Element el)`
    `void` | `handleEvent(org.w3c.dom.events.Event e)`
    `void` | `setEventTarget(org.w3c.dom.events.EventTarget target)`
    `static void` | `setListener(org.w3c.dom.events.EventTarget target, org.w3c.dom.events.EventListener listener, boolean enabled)`
    `protected void` | `setPrefix(org.w3c.dom.Node el)`
    `void` | `setSignatureConfig(SignatureConfig signatureConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignatureMarshalListener

          public SignatureMarshalListener()

  - ### Method Detail

    - #### setEventTarget

          public void setEventTarget(org.w3c.dom.events.EventTarget target)

    - #### handleEvent

          public void handleEvent(org.w3c.dom.events.Event e)

      Specified by:
        `handleEvent` in interface `org.w3c.dom.events.EventListener`

    - #### handleElement

          public void handleElement(org.w3c.dom.Element el)

    - #### setListener

          public static void setListener(org.w3c.dom.events.EventTarget target,
                                         org.w3c.dom.events.EventListener listener,
                                         boolean enabled)

    - #### setPrefix

          protected void setPrefix(org.w3c.dom.Node el)

    - #### setSignatureConfig

          public void setSignatureConfig(SignatureConfig signatureConfig)

      Specified by:
        `setSignatureConfig` in interface `SignatureConfig.SignatureConfigurable`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.